# Einlesen von TLX Daten
my_data <- read.csv(file.choose(), header = T, sep = ',')

# Welche Spalten gibt es überhaupt?
names(my_data)

View(my_data)

# Berechnen des TLX-Mittelwertes (ungewichtet):

# Mittelwert 
mean.tlx <- (
  my_data$mental_rating + 
  my_data$physical_rating +
  my_data$temporal_rating +
  my_data$performance_rating + 
  my_data$effort_rating +
  my_data$frustration_rating
) / 6

# Fügen wir nun diese Daten als neue Spalte in unseren data.frame ein
my_data$mean.tlx <- mean.tlx

# Nun wollen wir herausfinden, ob es in den Daten signifikante unterschiede gibt
# Betrachten wir erstmal die interessanten Spalten gemeinsam
my_data[c('mean.tlx', 'is.stem')]

# Am besten können wir diese aber natürlich graphisch einschätzen
boxplot(mean.tlx ~ is.stem, data = my_data)

# Jetzt also Hypothesentests. Hier müssen wir erstmal feststellen, ob die Daten normalverteilt sind
hist(my_data$mean.tlx)
# Graphisch schon mal nicht schlecht aus
shapiro.test(my_data$mean.tlx)
# p > 0.05 --> wir sind etwas zuversichtlich, dass wir Normalverteilung annehmen können

# Also t.test
t.test(mean.tlx ~ is.stem, data = my_data)
# p > 0.05 --> wir können nicht behaupten der Unterschied wäre signifikant, aber es ist nicht weit weg.
# Evtl. würden mehr Probanten klarere Ergebnisse zeigen.